Problem while installing parallel package in RHEL 7.6

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem while installing parallel package in RHEL 7.6

Andy03
Hi all,

I am using RHEL 7.6 and octave version 4.2.0 which i installed manually. The
following are the steps i followed:

yum-builddep -y octave
wget ftp://ftp.gnu.org/gnu/octave/octave-4.2.0.tar.gz
tar -xzvf octave-4.2.0.tzr.gz
cd octave-4.2.0
./configure
make -j4
sudo make install

After successful installation of octave i tried to install parallel package
and its dependent package struct I installed struct and parallel packages
with commands

pkg install -forge struct
pkg install -forge parallel

The parallel package gave a WARNING saying TLS disabled since
gnutls/gnutls.h not found or not compilable.

But i want to use cluster functions in parallel package so i uninstalled
parallel package and installed gnutls-devel using the command

sudo yum -y install gnutls-devel

After successful installation i again tried to install parallel package but
it returned a
WARNING saying TLS disabled since symbol gnutls_srp_2048_group_prime not
found in gnutls libarary -build with --disable-srp-authentication?

So kindly suggest what are the dependencies for TLS to be enabled and how to
install parallel package with TLS enable in RHEL 7.6?.

Thanks




--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: Problem while installing parallel package in RHEL 7.6

Olaf Till-2
On Fri, Nov 09, 2018 at 06:18:30AM -0600, Andy03 wrote:
> I am using RHEL 7.6
> ...
> WARNING saying TLS disabled since symbol gnutls_srp_2048_group_prime not
> found in gnutls libarary -build with --disable-srp-authentication?

'parallel' cluster functions use the SRP part of TLS, which doesn't
seem to be included into the TLS library of your system.

Maybe you can install TLS manually (in addition to your systems
version).

Or maybe you decide not to use TLS, if you are quite sure that nobody
can attack your server machines. (If an attacker _can_ access the used
server ports over the net, not using TLS would be madness.)

Olaf

--
public key id EAFE0591, e.g. on x-hkp://pool.sks-keyservers.net



signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Problem while installing parallel package in RHEL 7.6

Andy03
I have installed the gnutls utils package and the -devel package also. But
still TLS is not enabled for cluster operations and the error still remains
the same.

The versions of gnutls install in my RHEL 7.6 are

gnutls-3.3.29-8.e17.x86_64
gnutls-c++-3.3.29-8.e17.x86_64
gnutls-utils-3.3.29-8.e17.x86_64
gnutls-dane-3.3.29-8.e17.x86_64
gnutls-devel-3.3.29-8.e17.x86_64

Can i know which version of gnutls must be installed to enable TLS ??

Thanks



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: Problem while installing parallel package in RHEL 7.6

Dmitri A. Sergatskov


On Wed, Nov 14, 2018 at 10:22 PM Andy03 <[hidden email]> wrote:
I have installed the gnutls utils package and the -devel package also. But
still TLS is not enabled for cluster operations and the error still remains
the same.

The versions of gnutls install in my RHEL 7.6 are

gnutls-3.3.29-8.e17.x86_64
gnutls-c++-3.3.29-8.e17.x86_64
gnutls-utils-3.3.29-8.e17.x86_64
gnutls-dane-3.3.29-8.e17.x86_64
gnutls-devel-3.3.29-8.e17.x86_64

Can i know which version of gnutls must be installed to enable TLS ??


In Fedora distribution Redhat enabled SRP at around 3.5.12
In Fedora 29 (current) it is 3.6.4.

You can try recompiling src.rpm on RHEL system...
https://koji.fedoraproject.org/koji/packageinfo?packageID=286

Dmitri.
--



Reply | Threaded
Open this post in threaded view
|

Re: Problem while installing parallel package in RHEL 7.6

Andy03
Thanks Dmitri.

I will try installing the newer version of gnutls.



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html